Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class PropertyBundle

    java.lang.Object

      |

      +--oracle.ifs.beans.LibraryObject

            |

            +--oracle.ifs.beans.TieLibraryObject

                  |

                  +--oracle.ifs.beans.PublicObject

                        |

                        +--oracle.ifs.beans.TiePublicObject

                              |

                              +--oracle.ifs.beans.ApplicationObject

                                    |

                                    +--oracle.ifs.beans.TieApplicationObject

                                          |

                                          +--oracle.ifs.beans.PropertyBundle

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  TiePropertyBundle

public class PropertyBundle
extends TieApplicationObject

A PropertyBundle contains a set of name/value pairs, and behaves like a java.util.Hashtable.

PropertyBundles are used for several intrinsic features of iFS:

- DefaultAcls on PrimaryUserProfile - defines the default ACL to be used when creating new PublicObjects; the name/value pairs are keyed by the PublicObject subclass name.
- PolicyBundle on PublicObject, SystemObject,and SchemaObject - defines the policies to be applied to associated instances. The key is the Operation attribute of the Policy.
- PropertyBundle on PublicObject - contains adhoc custom data, associated with a PublicObject.

PropertyBundle has Hashtable-like methods to put or remove properties from the PropertyBundle. A putProperty method will replace a Property in a PropertyBundle if it has the same name.

See Also:
  `PropertyDefinition`, `PropertyBundle`, `PropertyBundleDefinition`

Field Summary
`static java.lang.String` | `CLASS_NAME` Name of this class.

Fields inherited from class oracle.ifs.beans.PublicObject
`ACL_ATTRIBUTE, ADMINISTRATIONGROUP_ATTRIBUTE, CREATEDATE_ATTRIBUTE, CREATOR_ATTRIBUTE, DELETOR_ATTRIBUTE, DESCRIPTION_ATTRIBUTE, EXPIRATIONDATE_ATTRIBUTE, FAMILY_ATTRIBUTE, FLAGS_ATTRIBUTE, LASTMODIFIER_ATTRIBUTE, LASTMODIFYDATE_ATTRIBUTE, LOCKEDFORSESSION_ATTRIBUTE, LOCKSTATE_ATTRIBUTE, LOCKSTATE_HARDLOCK, LOCKSTATE_SESSIONLOCK, LOCKSTATE_SOFTLOCK, LOCKSTATE_UNLOCK, LOCKSTATE_USERLOCK, NAME_ATTRIBUTE, OWNER_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE, RESOLVEDPUBLICOBJECT_ATTRIBUTE, SECURINGPUBLICOBJECT_ATTRIBUTE`

Method Summary
`Property[]` | `getProperties()` Gets all the properties in this PropertyBundle.
`Property` | `getProperties(int index)` Gets the Property at the specified index.
`AttributeValue` | `getPropertyValue(java.lang.String name)` Gets the value of a specific Property by name.
`AttributeValue` | `getPropertyValueByUpperCaseName(java.lang.String name)` Gets the value of a specific Property by name, where the name must be in all uppercase.
`void` | `handleEvent(IfsEvent event)` Handles the specified event.
`void` | `putPropertyValue(AttributeValue av)` Puts a new value for a Property, replacing any attribute of the same name (analogous to Hashtable.put()).
`void` | `putPropertyValue(java.lang.String name, AttributeValue av)` Puts a new value for a Property, replacing any attribute of the same name (analogous to Hashtable.put()).
`void` | `removeAllPropertyValues()` Removes all Properties from this PropertyBundle.
`void` | `removePropertyValue(java.lang.String name)` Removes a Property, if it exists in this PropertyBundle (analogous to Hashtable.remove())

Methods inherited from class oracle.ifs.beans.PublicObject
`addCategory, addRelationship, checkEffectiveAccess, checkEffectiveAccess, copy, getAcl, getAllFolderPaths, getAllFolderPaths, getAnyFolderPath, getAnyFolderPath, getCategories, getCategories, getCreateDate, getCreator, getDefaultAccessLevel, getDescription, getEffectiveAccessLevel, getEffectiveAccessLevel, getExpirationDate, getFamily, getFlags, getFolderReferencesSortSpecification, getLastModifier, getLastModifyDate, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getLockedState, getLockState, getLockStateLabel, getOwner, getPolicyBundle, getPropertyBundle, getResolvedPublicObject, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getSecuringPublicObject, grantAccess, hasNameAttribute, isLocked, isLockedForSession, isLockedForSessionByCurrentSession, isVersionable, isVersioned, lock, putPolicy, putProperty, putProperty, removeAllPolicies, removeAllProperties, removePolicy, removePolicy, removeProperty, removeRelationship, revokeAccess, revokeAllAccess, setAcl, setDescription, setExpirationDate, setFlags, setFolderReferencesSortSpecification, setOwner, setPolicyBundle, setPropertyBundle, setSecuringPublicObject, toLockStateLabel, toLockStateLabel, toLockStateLabel, unlock`

Methods inherited from class oracle.ifs.beans.LibraryObject
`equals, free, free, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getClassId, getClassObject, getDefinition, getId, getLabel, getName, getSession, invokeServerMethod, isInstanceOf, isTraced, lookupInstanceLabel, postEvent, postEvent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setName, toString, trace, update`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getId`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Name of this class.

Method Detail

### getProperties

    public Property[] getProperties()
                             throws IfsException

  Gets all the properties in this PropertyBundle.
  Returns:
    array of Property
  Throws:
    `IfsException` - if the operation fails

### getProperties

    public Property getProperties(int index)
                           throws IfsException

  Gets the Property at the specified index.
  Parameters:
    `index` - index into the Property array
  Returns:
    the requested Property
  Throws:
    `IfsException` - if operation fails

### getPropertyValue

    public AttributeValue getPropertyValue(java.lang.String name)
                                    throws IfsException

  Gets the value of a specific Property by name.
  Parameters:
    `name` - name of the Property
  Returns:
    AttributeValue containing the value of the Property. Returns null if the Property is not found.
  Throws:
    `IfsException` - if the operation fails

### getPropertyValueByUpperCaseName

    public AttributeValue getPropertyValueByUpperCaseName(java.lang.String name)
                                                   throws IfsException

  Gets the value of a specific Property by name, where the name must be in all uppercase.

  This is equivalent to `getPropertyValue` , but avoids an unnecessary conversion of the name to upper case.

  Parameters:
    `name` - uppercased name of the Property
  Returns:
    AttributeValue object containing the value of the Property. Returns null if the Property is not found.
  Throws:
    `IfsException` - if the operation fails

### handleEvent

    public void handleEvent(IfsEvent event)
                     throws IfsException

  Handles the specified event.
  Overrides:
    `handleEvent` in class `PublicObject`
  Parameters:
    `event` - the event
  Throws:
    `IfsException` - if the operation fails

### putPropertyValue

    public void putPropertyValue(java.lang.String name,
                                 AttributeValue av)
                          throws IfsException

  Puts a new value for a Property, replacing any attribute of the same name (analogous to Hashtable.put()).
  Parameters:
    `name` - the name of the Property
    `av` - the AttributeValue containing the new value;
  Throws:
    `IfsException` - if the operation fails

### putPropertyValue

    public void putPropertyValue(AttributeValue av)
                          throws IfsException

  Puts a new value for a Property, replacing any attribute of the same name (analogous to Hashtable.put()).
  Parameters:
    `av` - the AttributeValue containing the new value; implies the name & data type
  Throws:
    `IfsException` - if the operation fails

### removePropertyValue

    public void removePropertyValue(java.lang.String name)
                             throws IfsException

  Removes a Property, if it exists in this PropertyBundle (analogous to Hashtable.remove())
  Parameters:
    `name` - the name of the Property
  Throws:
    `IfsException` - if the operation fails

### removeAllPropertyValues

    public void removeAllPropertyValues()
                                 throws IfsException

  Removes all Properties from this PropertyBundle.
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD